<!--  -->
<template>
  <div>
    <div class="contant" v-if="info.education">
      <span class="contant-label">学历：</span>
      <span class="contant-name">{{info.education}}</span>
    </div>
    <div class="contant" v-if="info.graduatedSchool">
      <span class="contant-label">毕业院校：</span>
      <span class="contant-name">{{info.graduatedSchool }}</span>
    </div>
    <div class="contant" v-if="info.specialty">
      <span class="contant-label">专业：</span>
      <span class="contant-name">{{info.specialty}}</span>
    </div>
    <div class="contant" v-if="info.graduationTime">
      <span class="contant-label">毕业日期：</span>
      <span class="contant-name">{{info.graduationTime}}</span>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    info: {
      type: Object,
      default: () => { }
    }
  },
  filters: {
    getSex (type) {
      let info = ''
      switch (type) {
        case 0:
          info = '未知'
          break
        case 1:
          info = '男'
          break
        case 2:
          info = '女'
          break

        default:
          break
      }
      return info
    }
  },
  data () {
    return {

    }
  },
  computed: {},
  beforeMount () { },
  mounted () { },
  methods: {},
  watch: {}

}
</script>
<style lang='scss' scoped>
.contant {
  margin: 16px auto;
  display: flex;
  width: 80%;
  &-label {
    width: 120px;
    padding: 0 10px;
  }
  &-name {
    flex: 1;
  }
}
</style>